From f3d5c47a1e64596ac1b67bd0bf4819141a74acf1 Mon Sep 17 00:00:00 2001
From: Marti Raudsepp <marti@juffo.org>
Date: Mon, 25 Aug 2014 20:25:01 +0300
Subject: [PATCH 3/3] doc: Tweaks for "newly-", "recently-", "exact same"

---
 doc/src/sgml/config.sgml            | 2 +-
 doc/src/sgml/high-availability.sgml | 4 ++--
 doc/src/sgml/mvcc.sgml              | 2 +-
 doc/src/sgml/pltcl.sgml             | 2 +-
 doc/src/sgml/ref/psql-ref.sgml      | 2 +-
 doc/src/sgml/release-8.0.sgml       | 6 +++---
 doc/src/sgml/release-8.1.sgml       | 6 +++---
 doc/src/sgml/release-8.2.sgml       | 2 +-
 doc/src/sgml/release-8.3.sgml       | 6 +++---
 doc/src/sgml/release-8.4.sgml       | 4 ++--
 doc/src/sgml/release-9.0.sgml       | 4 ++--
 doc/src/sgml/release-9.1.sgml       | 4 ++--
 12 files changed, 22 insertions(+), 22 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 72f2a2a..a83e1e7 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -6432,7 +6432,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
        <para>
         This controls whether <command>CREATE TABLE</command> and
         <command>CREATE TABLE AS</command> include an OID column in
-        newly-created tables, if neither <literal>WITH OIDS</literal>
+        newly created tables, if neither <literal>WITH OIDS</literal>
         nor <literal>WITHOUT OIDS</literal> is specified. It also
         determines whether OIDs will be included in tables created by
         <command>SELECT INTO</command>. The parameter is <literal>off</>
diff --git a/doc/src/sgml/high-availability.sgml b/doc/src/sgml/high-availability.sgml
index d249959..20c9ccb 100644
--- a/doc/src/sgml/high-availability.sgml
+++ b/doc/src/sgml/high-availability.sgml
@@ -1809,7 +1809,7 @@ if (!triggered)
     linkend="guc-max-standby-streaming-delay">, that define the maximum
     allowed delay in WAL application.  Conflicting queries will be canceled
     once it has taken longer than the relevant delay setting to apply any
-    newly-received WAL data.  There are two parameters so that different delay
+    newly received WAL data.  There are two parameters so that different delay
     values can be specified for the case of reading WAL data from an archive
     (i.e., initial recovery from a base backup or <quote>catching up</> a
     standby server that has fallen far behind) versus reading WAL data via
@@ -1897,7 +1897,7 @@ if (!triggered)
     so that queries are not rapidly canceled by conflicts in WAL archive
     files during disconnected periods.  You should also consider increasing
     <varname>max_standby_streaming_delay</> to avoid rapid cancellations
-    by newly-arrived streaming WAL entries after reconnection.
+    by newly arrived streaming WAL entries after reconnection.
    </para>
 
    <para>
diff --git a/doc/src/sgml/mvcc.sgml b/doc/src/sgml/mvcc.sgml
index cd55be8..af8d10f 100644
--- a/doc/src/sgml/mvcc.sgml
+++ b/doc/src/sgml/mvcc.sgml
@@ -139,7 +139,7 @@
       <para>
         A transaction re-executes a query returning a set of rows that satisfy a
         search condition and finds that the set of rows satisfying the condition
-        has changed due to another recently-committed transaction.
+        has changed due to another recently committed transaction.
        </para>
       </listitem>
      </varlistentry>
diff --git a/doc/src/sgml/pltcl.sgml b/doc/src/sgml/pltcl.sgml
index 0dd2bbc..9839d55 100644
--- a/doc/src/sgml/pltcl.sgml
+++ b/doc/src/sgml/pltcl.sgml
@@ -51,7 +51,7 @@
     Sometimes it is desirable to write Tcl functions that are not restricted
     to safe Tcl.  For example, one might want a Tcl function that sends
     email.  To handle these cases, there is a variant of <application>PL/Tcl</> called <literal>PL/TclU</>
-    (for untrusted Tcl).  This is the exact same language except that a full
+    (for untrusted Tcl).  This is exactly the same language except that a full
     Tcl interpreter is used.  <emphasis>If <application>PL/TclU</> is used, it must be
     installed as an untrusted procedural language</emphasis> so that only
     database superusers can create functions in it.  The writer of a <application>PL/TclU</>
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 74d4618..d0f7c0f 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -1838,7 +1838,7 @@ foo=&gt; <userinput>\lo_import '/home/peter/pictures/photo.xcf' 'a picture of me
 lo_import 152801
 </programlisting>
         The response indicates that the large object received object
-        ID 152801, which can be used to access the newly-created large
+        ID 152801, which can be used to access the newly created large
         object in the future. For the sake of readability, it is
         recommended to always associate a human-readable comment with
         every object. Both OIDs and comments can be viewed with the
diff --git a/doc/src/sgml/release-8.0.sgml b/doc/src/sgml/release-8.0.sgml
index e6ffda9..ed00347 100644
--- a/doc/src/sgml/release-8.0.sgml
+++ b/doc/src/sgml/release-8.0.sgml
@@ -1080,7 +1080,7 @@
 
     <listitem>
      <para>
-      Ensure an error is reported when a newly-defined PL/pgSQL trigger
+      Ensure an error is reported when a newly defined PL/pgSQL trigger
       function is invoked as a normal function (Tom)
      </para>
     </listitem>
@@ -2505,7 +2505,7 @@ many connection requests arrive close together.  This applies
 
 <listitem><para>Fix bug introduced in 8.0 that could allow ReadBuffer
 to return an already-used page as new, potentially causing loss of
-recently-committed data (Tom)</para></listitem>
+recently committed data (Tom)</para></listitem>
 
 <listitem><para>Fix for protocol-level Describe messages issued
 outside a transaction or in a failed transaction (Tom)</para></listitem>
@@ -3555,7 +3555,7 @@ typedefs (Michael)</para></listitem>
        New buffer replacement strategy that improves caching (Jan)
       </para>
       <para>
-       Prior releases used a least-recently-used (LRU) cache to keep
+       Prior releases used a least recently used (LRU) cache to keep
        recently referenced pages in memory. The LRU algorithm
        did not consider the number of times a specific cache entry was
        accessed, so large table scans could force out useful cache pages.
diff --git a/doc/src/sgml/release-8.1.sgml b/doc/src/sgml/release-8.1.sgml
index 495d9c2..6eb6d1c 100644
--- a/doc/src/sgml/release-8.1.sgml
+++ b/doc/src/sgml/release-8.1.sgml
@@ -1451,7 +1451,7 @@
 
     <listitem>
      <para>
-      Ensure an error is reported when a newly-defined PL/pgSQL trigger
+      Ensure an error is reported when a newly defined PL/pgSQL trigger
       function is invoked as a normal function (Tom)
      </para>
     </listitem>
@@ -3164,7 +3164,7 @@ many connection requests arrive close together.  This applies
 
 <listitem><para>Fix bug introduced in 8.0 that could allow ReadBuffer
 to return an already-used page as new, potentially causing loss of
-recently-committed data (Tom)</para></listitem>
+recently committed data (Tom)</para></listitem>
 
 <listitem><para>Fix for protocol-level Describe messages issued
 outside a transaction or in a failed transaction (Tom)</para></listitem>
@@ -3717,7 +3717,7 @@ DISTINCT query</para></listitem>
       <function>currval()</>, and <function>setval()</> were stored as
       simple text strings, meaning that renaming or dropping a
       sequence used in a <literal>DEFAULT</> clause made the clause
-      invalid. This release stores all newly-created sequence function
+      invalid. This release stores all newly created sequence function
       arguments as internal OIDs, allowing them to track sequence
       renaming, and adding dependency information that prevents
       improper sequence removal. It also makes such <literal>DEFAULT</>
diff --git a/doc/src/sgml/release-8.2.sgml b/doc/src/sgml/release-8.2.sgml
index 90bd424..4bf4af5 100644
--- a/doc/src/sgml/release-8.2.sgml
+++ b/doc/src/sgml/release-8.2.sgml
@@ -2722,7 +2722,7 @@
 
     <listitem>
      <para>
-      Ensure an error is reported when a newly-defined PL/pgSQL trigger
+      Ensure an error is reported when a newly defined PL/pgSQL trigger
       function is invoked as a normal function (Tom)
      </para>
     </listitem>
diff --git a/doc/src/sgml/release-8.3.sgml b/doc/src/sgml/release-8.3.sgml
index c7b8909..92f6e52 100644
--- a/doc/src/sgml/release-8.3.sgml
+++ b/doc/src/sgml/release-8.3.sgml
@@ -1165,7 +1165,7 @@
 
     <listitem>
      <para>
-      Fix recently-introduced memory leak in processing of
+      Fix recently introduced memory leak in processing of
       <type>inet</>/<type>cidr</> values (Heikki Linnakangas)
      </para>
 
@@ -4700,7 +4700,7 @@
 
     <listitem>
      <para>
-      Ensure an error is reported when a newly-defined PL/pgSQL trigger
+      Ensure an error is reported when a newly defined PL/pgSQL trigger
       function is invoked as a normal function (Tom)
      </para>
     </listitem>
@@ -5410,7 +5410,7 @@
      <para>
       In the worst case this could result in deleting a newly created table
       in a new database that happened to get the same OID as the
-      recently-dropped one; but of course that is an extremely
+      recently dropped one; but of course that is an extremely
       low-probability scenario.
      </para>
     </listitem>
diff --git a/doc/src/sgml/release-8.4.sgml b/doc/src/sgml/release-8.4.sgml
index 60e5539..7f6a176 100644
--- a/doc/src/sgml/release-8.4.sgml
+++ b/doc/src/sgml/release-8.4.sgml
@@ -2862,7 +2862,7 @@
 
     <listitem>
      <para>
-      Fix recently-introduced memory leak in processing of
+      Fix recently introduced memory leak in processing of
       <type>inet</>/<type>cidr</> values (Heikki Linnakangas)
      </para>
 
@@ -6275,7 +6275,7 @@ WITH w AS (SELECT * FROM foo) SELECT * FROM w, bar ... FOR UPDATE
 
     <listitem>
      <para>
-      Fix <application>ecpg</> to not treat recently-added keywords as
+      Fix <application>ecpg</> to not treat recently added keywords as
       reserved words (Tom)
      </para>
 
diff --git a/doc/src/sgml/release-9.0.sgml b/doc/src/sgml/release-9.0.sgml
index a0f8e9c..cdccd9f 100644
--- a/doc/src/sgml/release-9.0.sgml
+++ b/doc/src/sgml/release-9.0.sgml
@@ -3342,7 +3342,7 @@
     <listitem>
      <para>
       Fix <command>CLUSTER</>/<command>VACUUM FULL</> handling of toast
-      values owned by recently-updated rows (Tom Lane)
+      values owned by recently updated rows (Tom Lane)
      </para>
 
      <para>
@@ -3498,7 +3498,7 @@
 
     <listitem>
      <para>
-      Fix recently-introduced memory leak in processing of
+      Fix recently introduced memory leak in processing of
       <type>inet</>/<type>cidr</> values (Heikki Linnakangas)
      </para>
 
diff --git a/doc/src/sgml/release-9.1.sgml b/doc/src/sgml/release-9.1.sgml
index 3030ee7..d4fa329 100644
--- a/doc/src/sgml/release-9.1.sgml
+++ b/doc/src/sgml/release-9.1.sgml
@@ -4101,7 +4101,7 @@
     <listitem>
      <para>
       Fix <command>CLUSTER</>/<command>VACUUM FULL</> handling of toast
-      values owned by recently-updated rows (Tom Lane)
+      values owned by recently updated rows (Tom Lane)
      </para>
 
      <para>
@@ -4264,7 +4264,7 @@
 
     <listitem>
      <para>
-      Fix recently-introduced memory leak in processing of
+      Fix recently introduced memory leak in processing of
       <type>inet</>/<type>cidr</> values (Heikki Linnakangas)
      </para>
 
-- 
2.1.0

